﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace XamDataGridSample
{
    public class MainViewModel
    {
        public ObservableCollection<Sample> SampleCollection { get; set; }

        public MainViewModel()
        {
            SampleCollection = new ObservableCollection<Sample>();

            SampleCollection.Add(new Sample() { ID = 1, X = 10, Y = 20, Z = 30, A1 = "A11", A2 = "A12", B1 = "B11", B2 = "B12", C1 = "C1" });
            SampleCollection.Add(new Sample() { ID = 2, X = 110, Y = 120, Z = 130, A1 = "A21", A2 = "A22", B1 = "B21", B2 = "B22", C1 = "C2" });
            SampleCollection.Add(new Sample() { ID = 3, X = 210, Y = 220, Z = 230, A1 = "A31", A2 = "A32", B1 = "B31", B2 = "B32", C1 = "C3" });
            SampleCollection.Add(new Sample() { ID = 4, X = 310, Y = 320, Z = 330, A1 = "A41", A2 = "A42", B1 = "B41", B2 = "B42", C1 = "C4" });
            SampleCollection.Add(new Sample() { ID = 5, X = 410, Y = 420, Z = 430, A1 = "A51", A2 = "A52", B1 = "B51", B2 = "B52", C1 = "C5" });

        }
    }

    public class Sample
    {
        public int ID { get; set; }
        public int X { get; set; }
        public int Y { get; set; }
        public int Z { get; set; }
        public string A1 { get; set; }
        public string A2 { get; set; }
        public string B1 { get; set; }
        public string B2 { get; set; }
        public string C1 { get; set; }
    }
}
